Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Feb 2023 17:51:05 +0200

> Date: Fri, 24 Feb 2023 17:35:20 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 24/02/2023 17:12, Eli Zaretskii wrote:
> >> Date: Fri, 24 Feb 2023 16:14:31 +0200
> >> Cc: Gregory Heytings<[email-masked]>,[email-masked],
> >>   Eli Zaretskii<[email-masked]>
> >> From: Dmitry Gutov<[email-masked]>
> >>
> >> The problem is in the noticeable delay between me pressing 'a' and
> >> seeing the contents of the window updated.
> >>
> >> When the frame title doesn't change, we simply can't track it as an
> >> additional symptom (that the buffer has been successfully visited, but
> >> the frame display remains the same).
> >>
> >> But whether the title changes or not, I can easily see the delay between
> >> me pressing 'a' and the contents of the window being updated. Or its
> >> absence.
> > So now you are saying that the changing title of the frame is_not_
> > the cause of the problem?  You are now saying that the delay_always_
> > happens, and that the change in the frame's title just makes it easier
> > to spot that delay?
> 
> I just said that unchanging title doesn't stop me from seeing the delay 
> when there is, in fact, a delay.

So, now, when does the delay happen?  I previously thought it happens
when the frame's title changes, but now you are saying it (and the
commit you mentioned) is unrelated, right?  Then what _is_ related?
Just the display-related activity in windows around Emacs?